<?php

/**
 * ============================================================================
 * 版权所有 福建荣升信息技术有限公司，保留所有权利。
 * 网站地址: http://www.fjrsweb.cn；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和使用；
 * 不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 */

if (!defined('ADMIN')) {
	exit('Access Denied');
}

if ($_POST['sub'] != '') {
	unset($_POST['file']); //layui模版老是自带这个
	unset($_POST['sub']);
	del_magic_quotes_gpc($_POST, 1);
	$id = empty($_POST['id']) ? 0 : (int)$_POST['id'];
	//检查对应的类是否存在这方法
	if (method_exists(MOD, "post")) {
		app(MOD)->post();
	}
	//某表中如果有addtime字段，则改成时间chuo存储到数据库
	if (db()->TableField(MOD, "addtime") and $_POST['addtime']) {
		$_POST['addtime'] = strtotime($_POST['addtime']);
		
	}

	unset($_POST['id']);


	if ($id == 0) {

		trim_arr($_POST);
		db()->query("BEGIN"); //或者mysql_query("START TRANSACTION");

		$id = $duoduo->insert(MOD, $_POST);

		if ($id > 0) {
			if (method_exists(MOD, "complete")) {
				$res = app(MOD)->complete($id);
				if ($res == false) {
					db()->query("ROLLBACK");
					json(1, "添加不成功");
				}
			}
			db()->query("COMMIT");
			json(0, "添加成功");
		} else {
			json(1, "添加失败");
		}
		$word = '添加成功';
	} else {

		trim_arr($_POST);
		db()->query("BEGIN"); //或者mysql_query("START TRANSACTION");
		$duoduo->update(MOD, $_POST, 'id="' . $id . '"');
		if (method_exists(MOD, "complete")) {
			$res = app(MOD)->complete($id);
			if ($res == false) {
				db()->query("ROLLBACK");
				json(1, "修改失败");
			}
		}
		db()->query("COMMIT");
		$word = '修改成功';
	}
	json(0, $word);
}
